Jump to content

Can't edit blocks with a star in the name


Recommended Posts

Posted

I have a drawing with numerous blocks which have a star at the start of the name.

 

e.g. *M24, *B36, *567 etc.

 

If a select one of these blocks that have a star at the start of the name, and then type BEDIT, it doesn't enter block editor.

 

I can't seem to edit these blocks that have a star in the name.

 

Also, even though when I select one of these blocks it tells me the object is a "Block Reference", I can't find the name in the list of block definitions in that drawing.

 

Anyone had this problem before????

 

Please help!

Posted

I believe those are alias name for dynamic blocks. If you create a drawing with dynamic blocks, save it as to lower version, the file will give different block forms with aliases.

Posted

I'm not sure about the particular unnamed block codes you're showing (unfamiliar with *M##, *B## and *### ). The *U## is the unnamed block made by DB's when their parameters are changed from the default, but when you do a BEdit on these - it should open the original block in any case. If it was some arb name like A$C7BEB703A, it's a block created using Paste as block (Ctrl+Shift+V) - which I tend to hate with a passion, but should still be bedit'able.

 

For that reason I think your blocks were made by something else (maybe some lisp, or other addon). But if you look at the link ReMark's pointed to, you may be able rename those blocks to something more suitable - in which case BEdit should then work. If all else fails, you could use WBlock or Copy-n-Paste & Explode to edit it and then re-make it.

Posted

Post ONE of the blocks (as a dwg file) so someone here can experiment with it.

Posted

Thanks - I really appreciate these comments.

 

It is not possible to change the block name, for blocks with a * prefix, unless you begin from scratch and define the block anew, by exploding the elements and then defining them as a block.

 

The blocks which have a star as a prefix don't come up in the drawing's list of blocks, so you can't do the normal things like "Replace Block" or "Block Edit" etc.

 

It looks like exploding and redefining is the only way around it - which I was hoping wouldn't be the case.

 

I can't attach a file as my work puts pretty severe IT restrictions on uploading / proxy settings.

Posted

How tough can it be to post one example block?

 

The best way for us to help you is to be as forthcoming with information, etc. as possible. Nobody here is going to steal your ideas as there is enough "free" stuff floating around the Internet to satisfy most everyone.

 

Help us to help you.

Posted

It's impossible to upload one block, or anything.

 

I tried uploading a dwg file with example blocks and a proxy authentication dialog appears every time, which asks for login details, which only IT have. There are serious restrictions on web activity.

 

I then tried uploading the drg to mediafire, but I get the same issue.

 

I don't have the internet at home as I just moved place. I will post an example as soon as I'm connected.

 

I couldn't care less about people stealing blocks which sh*t me to tears anyway!!

 

:)

Posted

OK, try this:

(defun c:ListVLA (/)
 (if (setq List:en (entsel))
   (setq List:en (car List:en)
         List:eo (vlax-ename->vla-object List:en)
   )
 )
 (c:ListPrevVLA)
 (princ)
)

(defun c:nListVLA (/)
 (if (setq List:en (nentsel))
   (setq List:en (car List:en)
         List:eo (vlax-ename->vla-object List:en)
   )
 )
 (c:ListPrevVLA)
 (princ)
)

(defun c:ListPrevVLA (/ eo)
 (if List:eo
   (progn (vlax-dump-object List:eo t) (textscr))
 )
 (textscr)
 (princ)
)

(defun c:ListDXF (/)
 (if (setq List:en (entsel))
   (setq List:ed (entget (car List:en) '("*")))
 )
 (c:ListPrevDXF)
 (princ)
)

(defun c:nListDXF (/)
 (if (setq List:en (nentsel))
   (setq List:ed (entget (car List:en) '("*")))
 )
 (c:ListPrevDXF)
 (princ)
)

(defun c:ListPrevDXF (/ item)
 (if List:ed
   (foreach item List:ed (print item))
 )
 (textscr)
 (princ)
)

Load the lisp code to the drawing (you could simply copy-n-paste it to the command-line. Then type ListVLA, pick one of these blocks, copy-n-paste the listed data to here. You may also want to do the ListDXF (same thing applies). At least then we'd have a slightly better understanding of what's occurring.

Posted

You're trying to solve a problem which costs the company you work for both time and money. Politely ask the IT department to assist you in uploading a sample block to this website and give them the reason why.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...